### Method

# RB TransferTarget transfer

#### Declaration [src]

    RBTrackTransferBatch*
    rb_transfer_target_transfer (
      RBTransferTarget* target,
      GSettings* settings,
      GList* entries,
      gboolean defer
    )

#### Description [src]

Starts tranferring `entries` to the target. This returns the `RBTrackTransferBatch` that it starts, so the caller can track the progress of the transfer, or NULL if the target doesn’t want any of the entries.

#### Parameters

`settings`

  Type: `GSettings`

  `GSettings` instance holding encoding settings.

  The data is owned by the caller of the method.

`entries`

  Type: A list of `RhythmDBEntry*`

  A `GList` of entries to transfer.

  The data is owned by the caller of the method.

`defer`

  Type: `gboolean`

  If `TRUE`, don’t start the transfer until.

#### Return value

Type: `RBTrackTransferBatch`

An `RBTrackTransferBatch`, or NULL.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.